## osmo-trx 1.7.1.3.3344.202511061800

=== osmocom-bb/src/target/firmware/Makefile ===
##
## Osmocom-BB: Target firmware Makefile
##

#
# Environments
#

ENV_compalram_LDS=board/compal/ram.lds
ENV_compalram_OBJS=board/compal/start.ram.o board/compal/exceptions_redirected.o board/compal/handlers.o

ENV_highram_LDS=board/compal/highram.lds
ENV_highram_OBJS=board/compal/start.ram.o board/compal/exceptions_redirected.o board/compal/handlers.o

ENV_e88loader_LDS=board/compal_e88/loader.lds
ENV_e88loader_OBJS=board/compal/start.rom.o board/compal/header.o board/compal/exceptions_redirect.o

ENV_e88flash_LDS=board/compal_e88/flash.lds
ENV_e88flash_OBJS=board/compal/start.rom.o board/compal/header.o board/compal/exceptions_redirected.o board/compal/handlers.o


#
# Boards
#

# List of all supported boards (meant to be overridden on command line)
BOARDS?=compal_e88 compal_e86 compal_e99 se_j100 se_k2x0 gta0x gtm900b fcdev3b \
	pirelli_dpl10 tr800

# Framebuffer support, board specific drivers
FB_OBJS=fb/framebuffer.o fb/font.o fb/helvR08.o fb/helvB14.o fb/c64.o \
	fb/symbols.o

FB_e88_OBJS=$(FB_OBJS) fb/fb_bw8.o fb/fb_st7558.o
FB_e99_OBJS=$(FB_OBJS) fb/fb_rgb332.o fb/fb_ssd1783.o
FB_e86_OBJS=$(FB_OBJS) fb/fb_rgb332.o fb/fb_td014.o
FB_j100_OBJS=$(FB_OBJS) fb/fb_rgb332.o fb/fb_ssd1963.o
FB_dpl10_OBJS=$(FB_OBJS) fb/fb_rgb332.o fb/fb_s6b33b1x.o
FB_k2x0_OBJS=$(FB_OBJS) fb/fb_rgb332.o fb/fb_k2x0.o
FB_dummy_OBJS=$(FB_OBJS) fb/fb_dummy.o

# TI Calypso
calypso_COMMON_OBJS=board/common/calypso_uart.o \
	board/common/calypso_pwl.o board/common/tx_calchan.o

# OpenMoko GTA0x
BOARD_gta0x_OBJS=$(calypso_COMMON_OBJS) board/gta0x/init.o \
	board/gta0x/rffe_gta0x_triband.o board/gta0x/rf_tables.o \
	board/gta0x/afcparams.o \
	board/common/readcal_tiffs.o battery/dummy.o $(FB_dummy_OBJS)
BOARD_gta0x_ENVIRONMENTS=highram

# Huawei GTM900-B
BOARD_gtm900b_OBJS=$(calypso_COMMON_OBJS) board/gtm900b/init.o \
	board/gtm900b/rffe_gtm900b.o board/gta0x/rf_tables.o \
	board/gtm900b/afcparams.o \
	board/common/readcal_tiffs.o battery/dummy.o $(FB_dummy_OBJS)
BOARD_gtm900b_ENVIRONMENTS=highram

# FreeCalypso FCDEV3B
BOARD_fcdev3b_OBJS=$(calypso_COMMON_OBJS) board/fcdev3b/init.o \
	board/gta0x/rffe_gta0x_triband.o board/gta0x/rf_tables.o \
	board/gta0x/afcparams.o \
	board/common/readcal_tiffs.o battery/dummy.o $(FB_dummy_OBJS)
BOARD_fcdev3b_ENVIRONMENTS=highram

# iWOW TR-800 aka FreeCalypso Tango
BOARD_tr800_OBJS=$(calypso_COMMON_OBJS) board/tr800/init.o \
	board/tr800/rffe_leo_quadband.o board/gta0x/rf_tables.o \
	board/tr800/afcparams.o \
	board/common/readcal_tiffs.o battery/dummy.o $(FB_dummy_OBJS)
BOARD_tr800_ENVIRONMENTS=highram

# Pirelli DP-L10
BOARD_pirelli_dpl10_OBJS=$(calypso_COMMON_OBJS) board/pirelli_dpl10/init.o \
	board/pirelli_dpl10/rffe_dpl10_triband.o \
	board/pirelli_dpl10/rf_tables.o board/pirelli_dpl10/readcal.o \
	battery/dummy.o $(FB_dpl10_OBJS)
BOARD_pirelli_dpl10_ENVIRONMENTS=highram

# Compal Generic
compal_COMMON_OBJS=$(calypso_COMMON_OBJS) \
	board/compal/rffe_dualband.o board/compal/rf_tables.o \
	board/compal/readcal_common.o
compal_COMMON_ENVIRONMENTS=compalram highram

# Compal E88
BOARD_compal_e88_OBJS=$(compal_COMMON_OBJS) board/compal_e88/init.o \
	board/compal/readcal_small.o board/compal_e88/tx_ramps.o \
	battery/compal_e88.o $(FB_e88_OBJS)
BOARD_compal_e88_ENVIRONMENTS=$(compal_COMMON_ENVIRONMENTS) e88loader e88flash

# Compal E86 (has a different RFFE configuration)
BOARD_compal_e86_OBJS=$(calypso_COMMON_OBJS) board/compal_e86/init.o \
	board/compal_e86/rffe_dualband_e86.o board/compal/rf_tables.o \
	board/compal/readcal_common.o board/compal/readcal_small.o \
	board/compal_e86/tx_ramps.o battery/dummy.o $(FB_e86_OBJS)
BOARD_compal_e86_ENVIRONMENTS=$(compal_COMMON_ENVIRONMENTS)

# Compal E99
BOARD_compal_e99_OBJS=$(compal_COMMON_OBJS) board/compal_e99/init.o \
	board/compal_e99/readcal.o board/compal_e88/tx_ramps.o \
	battery/dummy.o $(FB_e99_OBJS)
BOARD_compal_e99_ENVIRONMENTS=$(compal_COMMON_ENVIRONMENTS)

# Sony Ericsson J100 (made by Compal)
BOARD_se_j100_OBJS=$(compal_COMMON_OBJS) board/se_j100/init.o \
	board/compal/readcal_small.o board/se_j100/tx_ramps.o \
	battery/dummy.o $(FB_j100_OBJS)
BOARD_se_j100_ENVIRONMENTS=$(compal_COMMON_ENVIRONMENTS)

# Sony Ericsson K200i/K220i
BOARD_se_k2x0_OBJS=$(calypso_COMMON_OBJS) board/se_k2x0/init.o \
	board/se_k2x0/rffe_k2x0.o \
	board/gta0x/rf_tables.o board/gta0x/afcparams.o \
	board/common/readcal_tiffs.o battery/dummy.o $(FB_k2x0_OBJS)
BOARD_se_k2x0_ENVIRONMENTS=highram

#
# Applications
#

# List of all applications (meant to be overridden on command line)
APPLICATIONS?=hello_world compal_dsp_dump layer1 loader rssi menu

# Applications specific env requirements
APP_loader_ENVIRONMENTS=compalram highram
APP_rssi_ENVIRONMENTS=* -compalram
APP_menu_ENVIRONMENTS=* -highram

# Various objects that are currently linked into all applications
FLASH_OBJS=flash/cfi_flash.o
ABB_OBJS=abb/twl3025.o
RF_OBJS=rf/trf6151.o

# Objects that go in all applications
ANY_APP_OBJS+=$(ABB_OBJS) $(RF_OBJS) $(FLASH_OBJS)
ANY_APP_LIBS+=	calypso/libcalypso.a \
		layer1/liblayer1.a \
		lib/libmini.a \
		comm/libcomm.a \
		tiffs/libtiffs.a \
		../../shared/libosmocore/build-target/src/.libs/libosmocore.a \
		../../shared/libosmocore/build-target/src/gsm/.libs/libosmogsm.a


#
# Build rules
#

# Global include path
INCLUDES=-Iinclude/ -I../../../include -I../../shared/libosmocore/include -I../../shared/libosmocore/build-target/include

# Libraries are defined in subdirectories
-include calypso/Makefile
-include layer1/Makefile
-include comm/Makefile
-include tiffs/Makefile
-include lib/Makefile

# Include toolchain configuration
-include Makefile.inc


#
# Build options
#

# Uncomment this line if you want to enable Tx (Transmit) Support.
#CFLAGS += -DCONFIG_TX_ENABLE

# Uncomment this line if you want to write to flash.
#CFLAGS += -DCONFIG_FLASH_WRITE

# Uncomment this line if you want to write to flash, including the bootloader.
#CFLAGS += -DCONFIG_FLASH_WRITE_LOADER

=== debian/changelog ===
osmo-trx (1.7.1.3.3344.202511061800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 06 Nov 2025 18:01:47 +0000

=== debian/control ===
Source: osmo-trx
Section: net
Priority: optional
Maintainer: Osmocom team <openbsc@lists.osmocom.org>
Build-Depends: debhelper (>= 10),
               autotools-dev,
               autoconf-archive,
               pkg-config,
               dh-autoreconf,
               libuhd-dev,
               libusb-1.0-0-dev,
               libboost-all-dev,
               libfftw3-dev,
               libtalloc-dev,
               libusrp-dev,
               liblimesuite-dev,
               libbladerf-dev,
               libosmocore-dev (>= 1.10.0),
               osmo-gsm-manuals-dev (>= 1.6.0)
Standards-Version: 3.9.6
Vcs-Browser: https://gitea.osmocom.org/cellular-infrastructure/osmo-trx
Vcs-Git: https://gitea.osmocom.org/cellular-infrastructure/osmo-trx
Homepage: https://projects.osmocom.org/projects/osmotrx

Package: osmo-trx
Depends: osmocom-nightly (= 202511061800), osmo-trx-uhd
Architecture: all
Description: Metapackage for osmo-trx-uhd

Package: osmo-trx-dbg
Architecture: any
Section: debug
Priority: extra
Depends: osmocom-nightly (= 202511061800), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for the osmo-trx-*
 Make debugging possible

Package: osmo-trx-uhd
Architecture: any
Depends: osmocom-nightly (= 202511061800), ${shlibs:Depends}, ${misc:Depends}
Description: SDR transceiver that implements Layer 1 of a GSM BTS (UHD)
 OsmoTRX is a software-defined radio transceiver that implements the Layer 1
 physical layer of a BTS comprising the following 3GPP specifications:
 .
 TS 05.01 "Physical layer on the radio path"
 TS 05.02 "Multiplexing and Multiple Access on the Radio Path"
 TS 05.04 "Modulation"
 TS 05.10 "Radio subsystem synchronization"
 .
 In this context, BTS is "Base transceiver station". It's the stations that
 connect mobile phones to the mobile network.
 .
 3GPP is the "3rd Generation Partnership Project" which is the collaboration
 between different telecommunication associations for developing new
 generations of mobile phone networks. (post-2G/GSM)

Package: osmo-trx-usrp1
Architecture: any
Depends: osmocom-nightly (= 202511061800), ${shlibs:Depends}, ${misc:Depends}
Description: SDR transceiver that implements Layer 1 of a GSM BTS (USRP1)
 OsmoTRX is a software-defined radio transceiver that implements the Layer 1
 physical layer of a BTS comprising the following 3GPP specifications:
 .
 TS 05.01 "Physical layer on the radio path"
 TS 05.02 "Multiplexing and Multiple Access on the Radio Path"
 TS 05.04 "Modulation"
 TS 05.10 "Radio subsystem synchronization"
 .
 In this context, BTS is "Base transceiver station". It's the stations that
 connect mobile phones to the mobile network.
 .
 3GPP is the "3rd Generation Partnership Project" which is the collaboration
 between different telecommunication associations for developing new
 generations of mobile phone networks. (post-2G/GSM)

Package: osmo-trx-lms
Architecture: any
Depends: osmocom-nightly (= 202511061800), ${shlibs:Depends}, ${misc:Depends}
Description: SDR transceiver that implements Layer 1 of a GSM BTS (LimeSuite)
 OsmoTRX is a software-defined radio transceiver that implements the Layer 1
 physical layer of a BTS comprising the following 3GPP specifications:
 .
 TS 05.01 "Physical layer on the radio path"
 TS 05.02 "Multiplexing and Multiple Access on the Radio Path"
 TS 05.04 "Modulation"
 TS 05.10 "Radio subsystem synchronization"
 .
 In this context, BTS is "Base transceiver station". It's the stations that
 connect mobile phones to the mobile network.
 .
 3GPP is the "3rd Generation Partnership Project" which is the collaboration
 between different telecommunication associations for developing new
 generations of mobile phone networks. (post-2G/GSM)

Package: osmo-trx-ipc
Architecture: any
Depends: osmocom-nightly (= 202511061800), ${shlibs:Depends}, ${misc:Depends}
Description: SDR transceiver that implements Layer 1 of a GSM BTS (generic IPC)
 OsmoTRX is a software-defined radio transceiver that implements the Layer 1
 physical layer of a BTS comprising the following 3GPP specifications:
 .
 TS 05.01 "Physical layer on the radio path"
 TS 05.02 "Multiplexing and Multiple Access on the Radio Path"
 TS 05.04 "Modulation"
 TS 05.10 "Radio subsystem synchronization"
 .
 In this context, BTS is "Base transceiver station". It's the stations that
 connect mobile phones to the mobile network.
 .
 3GPP is the "3rd Generation Partnership Project" which is the collaboration
 between different telecommunication associations for developing new
 generations of mobile phone networks. (post-2G/GSM)

Package: osmo-trx-ms-blade
Architecture: any
Depends: osmocom-nightly (= 202511061800), ${shlibs:Depends}, ${misc:Depends}
Description: MS side transceiver (bladeRF)
 OsmoTRX is a software-defined radio transceiver that implements the Layer 1
 physical layer of a BTS comprising the following 3GPP specifications:
 .
 TS 05.01 "Physical layer on the radio path"
 TS 05.02 "Multiplexing and Multiple Access on the Radio Path"
 TS 05.04 "Modulation"
 TS 05.10 "Radio subsystem synchronization"
 .
 In this context, BTS is "Base transceiver station". It's the stations that
 connect mobile phones to the mobile network.
 .
 3GPP is the "3rd Generation Partnership Project" which is the collaboration
 between different telecommunication associations for developing new
 generations of mobile phone networks. (post-2G/GSM)

Package: osmo-trx-doc
Architecture: all
Section: doc
Priority: optional
Depends: osmocom-nightly (= 202511061800), ${misc:Depends}
Description: ${misc:Package} PDF documentation
 Various manuals: user manual, VTY reference manual and/or
 protocol/interface manuals.

## osmo-trx 1.7.1.3.3344.202511071800

=== debian/changelog ===
osmo-trx (1.7.1.3.3344.202511071800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 07 Nov 2025 18:01:32 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Homepage: https://projects.osmocom.org/projects/osmotrx
 
 Package: osmo-trx
-Depends: osmocom-nightly (= 202511061800), osmo-trx-uhd
+Depends: osmocom-nightly (= 202511071800), osmo-trx-uhd
 Architecture: all
 Description: Metapackage for osmo-trx-uhd
 
@@ -31,13 +31,13 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: osmocom-nightly (= 202511061800), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202511071800), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
 Description: Debug symbols for the osmo-trx-*
  Make debugging possible
 
 Package: osmo-trx-uhd
 Architecture: any
-Depends: osmocom-nightly (= 202511061800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511071800), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (UHD)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -56,7 +56,7 @@
 
 Package: osmo-trx-usrp1
 Architecture: any
-Depends: osmocom-nightly (= 202511061800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511071800), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (USRP1)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -75,7 +75,7 @@
 
 Package: osmo-trx-lms
 Architecture: any
-Depends: osmocom-nightly (= 202511061800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511071800), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (LimeSuite)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -94,7 +94,7 @@
 
 Package: osmo-trx-ipc
 Architecture: any
-Depends: osmocom-nightly (= 202511061800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511071800), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (generic IPC)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -113,7 +113,7 @@
 
 Package: osmo-trx-ms-blade
 Architecture: any
-Depends: osmocom-nightly (= 202511061800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511071800), ${shlibs:Depends}, ${misc:Depends}
 Description: MS side transceiver (bladeRF)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -134,7 +134,7 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202511061800), ${misc:Depends}
+Depends: osmocom-nightly (= 202511071800), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
  Various manuals: user manual, VTY reference manual and/or
  protocol/interface manuals.

## osmo-trx 1.7.1.3.3344.202511081800

=== debian/changelog ===
osmo-trx (1.7.1.3.3344.202511081800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 08 Nov 2025 18:01:29 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Homepage: https://projects.osmocom.org/projects/osmotrx
 
 Package: osmo-trx
-Depends: osmocom-nightly (= 202511071800), osmo-trx-uhd
+Depends: osmocom-nightly (= 202511081800), osmo-trx-uhd
 Architecture: all
 Description: Metapackage for osmo-trx-uhd
 
@@ -31,13 +31,13 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: osmocom-nightly (= 202511071800), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202511081800), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
 Description: Debug symbols for the osmo-trx-*
  Make debugging possible
 
 Package: osmo-trx-uhd
 Architecture: any
-Depends: osmocom-nightly (= 202511071800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511081800), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (UHD)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -56,7 +56,7 @@
 
 Package: osmo-trx-usrp1
 Architecture: any
-Depends: osmocom-nightly (= 202511071800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511081800), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (USRP1)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -75,7 +75,7 @@
 
 Package: osmo-trx-lms
 Architecture: any
-Depends: osmocom-nightly (= 202511071800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511081800), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (LimeSuite)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -94,7 +94,7 @@
 
 Package: osmo-trx-ipc
 Architecture: any
-Depends: osmocom-nightly (= 202511071800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511081800), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (generic IPC)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -113,7 +113,7 @@
 
 Package: osmo-trx-ms-blade
 Architecture: any
-Depends: osmocom-nightly (= 202511071800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511081800), ${shlibs:Depends}, ${misc:Depends}
 Description: MS side transceiver (bladeRF)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -134,7 +134,7 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202511071800), ${misc:Depends}
+Depends: osmocom-nightly (= 202511081800), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
  Various manuals: user manual, VTY reference manual and/or
  protocol/interface manuals.

## osmo-trx 1.7.1.3.3344.202511091800

=== debian/changelog ===
osmo-trx (1.7.1.3.3344.202511091800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 09 Nov 2025 18:01:31 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Homepage: https://projects.osmocom.org/projects/osmotrx
 
 Package: osmo-trx
-Depends: osmocom-nightly (= 202511081800), osmo-trx-uhd
+Depends: osmocom-nightly (= 202511091800), osmo-trx-uhd
 Architecture: all
 Description: Metapackage for osmo-trx-uhd
 
@@ -31,13 +31,13 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: osmocom-nightly (= 202511081800), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202511091800), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
 Description: Debug symbols for the osmo-trx-*
  Make debugging possible
 
 Package: osmo-trx-uhd
 Architecture: any
-Depends: osmocom-nightly (= 202511081800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511091800), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (UHD)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -56,7 +56,7 @@
 
 Package: osmo-trx-usrp1
 Architecture: any
-Depends: osmocom-nightly (= 202511081800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511091800), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (USRP1)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -75,7 +75,7 @@
 
 Package: osmo-trx-lms
 Architecture: any
-Depends: osmocom-nightly (= 202511081800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511091800), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (LimeSuite)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -94,7 +94,7 @@
 
 Package: osmo-trx-ipc
 Architecture: any
-Depends: osmocom-nightly (= 202511081800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511091800), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (generic IPC)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -113,7 +113,7 @@
 
 Package: osmo-trx-ms-blade
 Architecture: any
-Depends: osmocom-nightly (= 202511081800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511091800), ${shlibs:Depends}, ${misc:Depends}
 Description: MS side transceiver (bladeRF)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -134,7 +134,7 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202511081800), ${misc:Depends}
+Depends: osmocom-nightly (= 202511091800), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
  Various manuals: user manual, VTY reference manual and/or
  protocol/interface manuals.

## osmo-trx 1.7.1.3.3344.202511101800

=== debian/changelog ===
osmo-trx (1.7.1.3.3344.202511101800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 10 Nov 2025 18:01:30 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Homepage: https://projects.osmocom.org/projects/osmotrx
 
 Package: osmo-trx
-Depends: osmocom-nightly (= 202511091800), osmo-trx-uhd
+Depends: osmocom-nightly (= 202511101800), osmo-trx-uhd
 Architecture: all
 Description: Metapackage for osmo-trx-uhd
 
@@ -31,13 +31,13 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: osmocom-nightly (= 202511091800), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202511101800), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
 Description: Debug symbols for the osmo-trx-*
  Make debugging possible
 
 Package: osmo-trx-uhd
 Architecture: any
-Depends: osmocom-nightly (= 202511091800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511101800), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (UHD)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -56,7 +56,7 @@
 
 Package: osmo-trx-usrp1
 Architecture: any
-Depends: osmocom-nightly (= 202511091800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511101800), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (USRP1)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -75,7 +75,7 @@
 
 Package: osmo-trx-lms
 Architecture: any
-Depends: osmocom-nightly (= 202511091800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511101800), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (LimeSuite)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -94,7 +94,7 @@
 
 Package: osmo-trx-ipc
 Architecture: any
-Depends: osmocom-nightly (= 202511091800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511101800), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (generic IPC)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -113,7 +113,7 @@
 
 Package: osmo-trx-ms-blade
 Architecture: any
-Depends: osmocom-nightly (= 202511091800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511101800), ${shlibs:Depends}, ${misc:Depends}
 Description: MS side transceiver (bladeRF)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -134,7 +134,7 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202511091800), ${misc:Depends}
+Depends: osmocom-nightly (= 202511101800), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
  Various manuals: user manual, VTY reference manual and/or
  protocol/interface manuals.

## osmo-trx 1.7.1.3.3344.202511111800

=== debian/changelog ===
osmo-trx (1.7.1.3.3344.202511111800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 11 Nov 2025 18:01:33 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Homepage: https://projects.osmocom.org/projects/osmotrx
 
 Package: osmo-trx
-Depends: osmocom-nightly (= 202511101800), osmo-trx-uhd
+Depends: osmocom-nightly (= 202511111800), osmo-trx-uhd
 Architecture: all
 Description: Metapackage for osmo-trx-uhd
 
@@ -31,13 +31,13 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: osmocom-nightly (= 202511101800), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202511111800), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
 Description: Debug symbols for the osmo-trx-*
  Make debugging possible
 
 Package: osmo-trx-uhd
 Architecture: any
-Depends: osmocom-nightly (= 202511101800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511111800), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (UHD)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -56,7 +56,7 @@
 
 Package: osmo-trx-usrp1
 Architecture: any
-Depends: osmocom-nightly (= 202511101800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511111800), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (USRP1)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -75,7 +75,7 @@
 
 Package: osmo-trx-lms
 Architecture: any
-Depends: osmocom-nightly (= 202511101800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511111800), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (LimeSuite)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -94,7 +94,7 @@
 
 Package: osmo-trx-ipc
 Architecture: any
-Depends: osmocom-nightly (= 202511101800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511111800), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (generic IPC)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -113,7 +113,7 @@
 
 Package: osmo-trx-ms-blade
 Architecture: any
-Depends: osmocom-nightly (= 202511101800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511111800), ${shlibs:Depends}, ${misc:Depends}
 Description: MS side transceiver (bladeRF)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -134,7 +134,7 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202511101800), ${misc:Depends}
+Depends: osmocom-nightly (= 202511111800), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
  Various manuals: user manual, VTY reference manual and/or
  protocol/interface manuals.

## osmo-trx 1.7.1.3.3344.202511121801

=== debian/changelog ===
osmo-trx (1.7.1.3.3344.202511121801) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 12 Nov 2025 18:02:51 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Homepage: https://projects.osmocom.org/projects/osmotrx
 
 Package: osmo-trx
-Depends: osmocom-nightly (= 202511111800), osmo-trx-uhd
+Depends: osmocom-nightly (= 202511121801), osmo-trx-uhd
 Architecture: all
 Description: Metapackage for osmo-trx-uhd
 
@@ -31,13 +31,13 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: osmocom-nightly (= 202511111800), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202511121801), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
 Description: Debug symbols for the osmo-trx-*
  Make debugging possible
 
 Package: osmo-trx-uhd
 Architecture: any
-Depends: osmocom-nightly (= 202511111800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511121801), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (UHD)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -56,7 +56,7 @@
 
 Package: osmo-trx-usrp1
 Architecture: any
-Depends: osmocom-nightly (= 202511111800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511121801), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (USRP1)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -75,7 +75,7 @@
 
 Package: osmo-trx-lms
 Architecture: any
-Depends: osmocom-nightly (= 202511111800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511121801), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (LimeSuite)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -94,7 +94,7 @@
 
 Package: osmo-trx-ipc
 Architecture: any
-Depends: osmocom-nightly (= 202511111800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511121801), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (generic IPC)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -113,7 +113,7 @@
 
 Package: osmo-trx-ms-blade
 Architecture: any
-Depends: osmocom-nightly (= 202511111800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511121801), ${shlibs:Depends}, ${misc:Depends}
 Description: MS side transceiver (bladeRF)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -134,7 +134,7 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202511111800), ${misc:Depends}
+Depends: osmocom-nightly (= 202511121801), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
  Various manuals: user manual, VTY reference manual and/or
  protocol/interface manuals.

=== osmocom-bb/src/shared/libosmocore/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBIAN  := $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2)
DEBVERS := $(shell echo '$(DEBIAN)' | cut -d- -f1)
VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/[+-].*//' -e 's/~//g')

%:
	dh --with autoreconf $@ --fail-missing

#override_dh_strip:
#	dh_strip --dbg-package=libosmocore-dbg

override_dh_autoreconf:
	echo $(VERSION) > .tarball-version
	dh_autoreconf

## osmo-trx 1.7.1.3.3344.202511131800

=== debian/changelog ===
osmo-trx (1.7.1.3.3344.202511131800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 13 Nov 2025 18:01:32 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Homepage: https://projects.osmocom.org/projects/osmotrx
 
 Package: osmo-trx
-Depends: osmocom-nightly (= 202511121801), osmo-trx-uhd
+Depends: osmocom-nightly (= 202511131800), osmo-trx-uhd
 Architecture: all
 Description: Metapackage for osmo-trx-uhd
 
@@ -31,13 +31,13 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: osmocom-nightly (= 202511121801), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202511131800), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
 Description: Debug symbols for the osmo-trx-*
  Make debugging possible
 
 Package: osmo-trx-uhd
 Architecture: any
-Depends: osmocom-nightly (= 202511121801), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511131800), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (UHD)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -56,7 +56,7 @@
 
 Package: osmo-trx-usrp1
 Architecture: any
-Depends: osmocom-nightly (= 202511121801), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511131800), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (USRP1)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -75,7 +75,7 @@
 
 Package: osmo-trx-lms
 Architecture: any
-Depends: osmocom-nightly (= 202511121801), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511131800), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (LimeSuite)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -94,7 +94,7 @@
 
 Package: osmo-trx-ipc
 Architecture: any
-Depends: osmocom-nightly (= 202511121801), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511131800), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (generic IPC)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -113,7 +113,7 @@
 
 Package: osmo-trx-ms-blade
 Architecture: any
-Depends: osmocom-nightly (= 202511121801), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511131800), ${shlibs:Depends}, ${misc:Depends}
 Description: MS side transceiver (bladeRF)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -134,7 +134,7 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202511121801), ${misc:Depends}
+Depends: osmocom-nightly (= 202511131800), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
  Various manuals: user manual, VTY reference manual and/or
  protocol/interface manuals.

## osmo-trx 1.7.1.3.3344.202511141800

=== debian/changelog ===
osmo-trx (1.7.1.3.3344.202511141800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 14 Nov 2025 18:01:29 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Homepage: https://projects.osmocom.org/projects/osmotrx
 
 Package: osmo-trx
-Depends: osmocom-nightly (= 202511131800), osmo-trx-uhd
+Depends: osmocom-nightly (= 202511141800), osmo-trx-uhd
 Architecture: all
 Description: Metapackage for osmo-trx-uhd
 
@@ -31,13 +31,13 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: osmocom-nightly (= 202511131800), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202511141800), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
 Description: Debug symbols for the osmo-trx-*
  Make debugging possible
 
 Package: osmo-trx-uhd
 Architecture: any
-Depends: osmocom-nightly (= 202511131800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511141800), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (UHD)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -56,7 +56,7 @@
 
 Package: osmo-trx-usrp1
 Architecture: any
-Depends: osmocom-nightly (= 202511131800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511141800), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (USRP1)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -75,7 +75,7 @@
 
 Package: osmo-trx-lms
 Architecture: any
-Depends: osmocom-nightly (= 202511131800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511141800), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (LimeSuite)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -94,7 +94,7 @@
 
 Package: osmo-trx-ipc
 Architecture: any
-Depends: osmocom-nightly (= 202511131800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511141800), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (generic IPC)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -113,7 +113,7 @@
 
 Package: osmo-trx-ms-blade
 Architecture: any
-Depends: osmocom-nightly (= 202511131800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511141800), ${shlibs:Depends}, ${misc:Depends}
 Description: MS side transceiver (bladeRF)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -134,7 +134,7 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202511131800), ${misc:Depends}
+Depends: osmocom-nightly (= 202511141800), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
  Various manuals: user manual, VTY reference manual and/or
  protocol/interface manuals.

## osmo-trx 1.7.1.3.3344.202511151800

=== debian/changelog ===
osmo-trx (1.7.1.3.3344.202511151800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 15 Nov 2025 18:01:27 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Homepage: https://projects.osmocom.org/projects/osmotrx
 
 Package: osmo-trx
-Depends: osmocom-nightly (= 202511141800), osmo-trx-uhd
+Depends: osmocom-nightly (= 202511151800), osmo-trx-uhd
 Architecture: all
 Description: Metapackage for osmo-trx-uhd
 
@@ -31,13 +31,13 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: osmocom-nightly (= 202511141800), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202511151800), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
 Description: Debug symbols for the osmo-trx-*
  Make debugging possible
 
 Package: osmo-trx-uhd
 Architecture: any
-Depends: osmocom-nightly (= 202511141800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511151800), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (UHD)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -56,7 +56,7 @@
 
 Package: osmo-trx-usrp1
 Architecture: any
-Depends: osmocom-nightly (= 202511141800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511151800), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (USRP1)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -75,7 +75,7 @@
 
 Package: osmo-trx-lms
 Architecture: any
-Depends: osmocom-nightly (= 202511141800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511151800), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (LimeSuite)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -94,7 +94,7 @@
 
 Package: osmo-trx-ipc
 Architecture: any
-Depends: osmocom-nightly (= 202511141800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511151800), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (generic IPC)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -113,7 +113,7 @@
 
 Package: osmo-trx-ms-blade
 Architecture: any
-Depends: osmocom-nightly (= 202511141800), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202511151800), ${shlibs:Depends}, ${misc:Depends}
 Description: MS side transceiver (bladeRF)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -134,7 +134,7 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202511141800), ${misc:Depends}
+Depends: osmocom-nightly (= 202511151800), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
  Various manuals: user manual, VTY reference manual and/or
  protocol/interface manuals.
